<?php
if ( ! function_exists( 'biography_home_service_array' ) ) :
    /**
     * Service array creation
     *
     * @since Bizlight 1.0.0
     *
     * @param string $from_service
     * @return array
     */
    function biography_home_service_array( $from_service ){
        global $biography_customizer_all_values;
        $biography_home_service_number = absint($biography_customizer_all_values['biography-home-service-number']);
        $biography_home_service_single_words = absint($biography_customizer_all_values['biography-home-service-single-words']);

        $biography_home_service_contents_array = array();

        $biography_home_service_contents_array[0]['biography-home-service-title'] = esc_html__('Web Developing', 'biography');
        $biography_home_service_contents_array[0]['biography-home-service-content'] = esc_html__("Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.", 'biography');
        $biography_home_service_contents_array[0]['biography-home-service-link'] = '#';
        $biography_home_service_contents_array[0]['biography-home-service-icon'] = 'fa-cogs';

        $biography_home_service_contents_array[1]['biography-home-service-title'] = esc_html__('Photography', 'biography');
        $biography_home_service_contents_array[1]['biography-home-service-content'] = esc_html__("Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.", 'biography');
        $biography_home_service_contents_array[1]['biography-home-service-link'] = '#';
        $biography_home_service_contents_array[1]['biography-home-service-icon'] = 'fa-camera-retro';

        $biography_home_service_contents_array[2]['biography-home-service-title'] = esc_html__('Customer Support', 'biography');
        $biography_home_service_contents_array[2]['biography-home-service-content'] = esc_html__("Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.", 'biography');
        $biography_home_service_contents_array[2]['biography-home-service-link'] = '#';
        $biography_home_service_contents_array[2]['biography-home-service-icon'] = 'fa-rocket';

    



        $biography_icons_arrays = array();
        $biography_home_service_args = array();
        if ( 'from-category' ==  $from_service ){
            $biography_home_service_category = $biography_customizer_all_values['biography-home-service-category'];
             $biography_repeated_array = array('biography-home-service-icon' );
              $biography_home_service_posts = biography_get_repeated_all_value( 8, $biography_repeated_array ); 
         

              if( null != $biography_home_service_category ) {

                foreach( $biography_home_service_posts as $biography_home_service_post ) {
                    
                        if( isset( $biography_home_service_post['biography-home-service-icon'] )){
                            $biography_home_service_page_icon = $biography_home_service_post['biography-home-service-icon'];
                        }
                        else{
                            $biography_home_service_page_icon ='fa-laptop';
                        }
                        $biography_icons_arrays[] = $biography_home_service_page_icon;
                    }
                 $biography_home_service_args =    array(
                    'post_type' => 'post',
                    'cat' => $biography_home_service_category,
                    'posts_per_page' => $biography_home_service_number
                );
            }

               
           
        }
        else{
            $biography_repeated_array = array('biography-home-service-pages-ids','biography-home-service-icon' );
            $biography_home_service_posts = biography_get_repeated_all_value( 8, $biography_repeated_array );

            $biography_home_service_posts_ids = array();
            if( null != $biography_home_service_posts ) {
                foreach( $biography_home_service_posts as $biography_home_service_post ) {
                    if( 0 != $biography_home_service_post['biography-home-service-pages-ids'] ){
                        $biography_home_service_posts_ids[] = $biography_home_service_post['biography-home-service-pages-ids'];
                        if( isset( $biography_home_service_post['biography-home-service-icon'] )){
                            $biography_home_service_page_icon = $biography_home_service_post['biography-home-service-icon'];
                        }
                        else{
                            $biography_home_service_page_icon ='fa-laptop';
                        }
                        $biography_icons_arrays[] = $biography_home_service_page_icon;

                    }
                }
                if( !empty( $biography_home_service_posts_ids )){
                    $biography_home_service_args =    array(
                        'post_type' => 'page',
                        'post__in' => $biography_home_service_posts_ids,
                        'posts_per_page' => $biography_home_service_number,
                        'orderby' => 'post__in'
                    );
                }
            }
        }
        // the query
        if( !empty( $biography_home_service_args )){
            $biography_home_service_contents_array = array(); /*again empty array*/
            $biography_home_service_post_query = new WP_Query( $biography_home_service_args );
            if ( $biography_home_service_post_query->have_posts() ) :
                $i = 0;
                while ( $biography_home_service_post_query->have_posts() ) : $biography_home_service_post_query->the_post();
                    $biography_home_service_contents_array[$i]['biography-home-service-title'] = get_the_title();
                    $biography_home_service_contents_array[$i]['biography-home-service-content'] = biography_words_count( $biography_home_service_single_words ,get_the_content());
                    $biography_home_service_contents_array[$i]['biography-home-service-link'] = get_permalink();
                    if ( 'from-category' ==  $from_service ){
                         if(isset( $biography_icons_arrays[$i] )){
                            $biography_home_service_contents_array[$i]['biography-home-service-icon'] = $biography_icons_arrays[$i];
                        }
                        else{
                            $biography_home_service_contents_array[$i]['biography-home-service-icon'] = 'fa-laptop';
                        }
                    }
                    else{
                        if(isset( $biography_icons_arrays[$i] )){
                            $biography_home_service_contents_array[$i]['biography-home-service-icon'] = $biography_icons_arrays[$i];
                        }
                        else{
                            $biography_home_service_contents_array[$i]['biography-home-service-icon'] = 'fa-laptop';
                        }
                    }
                    $i++;
                endwhile;
                wp_reset_postdata();
            endif;
        }
        return $biography_home_service_contents_array;
    }
endif;

if ( ! function_exists( 'biography_home_service' ) ) :
    /**
     * Services
     *
     * @since Bizlight 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_home_service() {
        global $biography_customizer_all_values;
        
        

        if( 1 != $biography_customizer_all_values['biography-home-service-enable'] ){
            return null;
        }
        $biography_home_service_selection_options = $biography_customizer_all_values['biography-home-service-selection'];
        $biography_service_arrays = biography_home_service_array( $biography_home_service_selection_options );
        if( is_array( $biography_service_arrays )){

            $biography_home_service_title = $biography_customizer_all_values['biography-home-service-title'];
            $biography_home_service_column = $biography_customizer_all_values['biography-home-service-column'];
            $biography_home_service_button_text = $biography_customizer_all_values['biography-home-service-button-text'];
            $biography_home_service_button_link = $biography_customizer_all_values['biography-home-service-button-link'];
            $biography_home_service_enable_single_link = $biography_customizer_all_values['biography-home-service-enable-single-link'];

            if( 1 == $biography_home_service_column ){
                $col = 'col-md-12';
            }
            elseif( 2 == $biography_home_service_column ){
                $col = 'col-md-6';
            }
            elseif( 3 == $biography_home_service_column ){
                $col = 'col-md-4';
            }
            elseif( 4 == $biography_home_service_column ){
                $col = 'col-md-3';
            }
            else{
                $col = 'col-md-3';
            }
            ?>
            <section class="wrapper wrap-service">
                <div class="container">
                <?php if(!FALSE == $biography_customizer_all_values['biography-home-sortable-enable'] ){
                            ?>
                    <div class="">
                    <?php
                    }
                    else { ?>
                    <div class="service-inner">
                    <?php } ?>
                        <?php if(!empty( $biography_home_service_title ) ){
                            ?>
                            <div class="block-title">
                                <h2>
                                    <?php echo esc_html( $biography_home_service_title );?>
                                </h2>
                                <div class="title-divider"><span></span></div>
                            </div>
                            <?php
                        }?>
                        <div class="row overhidden">
                            <?php
                            $i = 1;
                            $data_delay = 0;
                            foreach( $biography_service_arrays as $biography_service_array ){
                                $data_wow_delay = 'data-wow-delay='.$data_delay.'s';
                                ?>
                                <div class="<?php echo esc_attr( $col )?> biography-animate bounce" <?php echo esc_attr( $data_wow_delay );?>>
                                    <div class="service-list">
                                        <div class="icon-section pe-4x">
                                            <i class="fa <?php echo esc_attr( $biography_service_array['biography-home-service-icon'] ); ?>"></i>
                                        </div>
                                        <h3>
                                            <?php
                                            if( 1 == $biography_home_service_enable_single_link ){
                                            ?>
                                            <a href="<?php echo esc_url( $biography_service_array['biography-home-service-link'] );?>" title="<?php echo esc_attr( $biography_service_array['biography-home-service-title'] );?>">
                                                <?php
                                                }
                                                ?>
                                                <?php echo esc_html( $biography_service_array['biography-home-service-title'] );?>
                                                <?php
                                                if( 1 == $biography_home_service_enable_single_link ){
                                                ?>
                                            </a>
                                        <?php
                                        }
                                        ?>
                                        </h3>
                                        <p>
                                            <?php echo wp_kses_post( $biography_service_array['biography-home-service-content'] );?>
                                        </p>
                                    </div>
                                </div>
                                <?php
                                if( $i % $biography_home_service_column == 0 ){
                                    echo "<div class='clearfix'></div>";
                                }
                                if( $i % $biography_home_service_column == 0 ){
                                    $data_delay = 0;
                                }
                                else{
                                    $data_delay = $data_delay + 0.5;
                                }
                                $i++;
                            }
                            ?>
                        </div>
                    </div>
                    <?php
                    if( !empty( $biography_home_service_button_link ) && !empty( $biography_home_service_button_text ) ){
                        ?>
                        <div class="btn-container">
                            <a class="button button-link" href="<?php echo esc_url( $biography_home_service_button_link );?>">
                                <?php echo esc_html( $biography_home_service_button_text );?>
                            </a>
                        </div>
                        <?php
                    }
                    ?>
                    </div>
            </section><!-- service section -->
            <?php
        }
        ?>
        <?php
    }
endif;
add_action( 'service', 'biography_home_service', 10 );
